<template>
  <v-container 
    grid-list-lg
  >
    <v-layout 
      align-center
      wrap
    >
      <v-flex xs12 md8 offset-md2
        v-for="member in team"
        :key="member.name"
      >
        <Member 
          :imageName="member.image"
          :name="member.name"
          :role="member.role"
          :description="member.description"
          :homepage="member.homepage"
          :email="member.email"
        ></Member>
      </v-flex>
    </v-layout>
  </v-container>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator';

import Member from '@/components/Member.vue';
import teamData from '@/data/team.json';

@Component({
  components: {
    Member,
  },
})
export default class Team extends Vue {
  private team = teamData;

  public mounted() {
    this.$store.commit('SET_TITLE', 'Team');
  }
}
</script>
